SUSE SLED15 / SLES15セキュリティ更新プログラム:ImageMagick(SUSE-SU-2018:2977-1)

critical Nessus プラグイン ID 120117

言語:

概要

リモートのSUSEホストに1つ以上のセキュリティ更新がありません。

説明

このImageMagickの更新では、次のセキュリティ問題を修正します:

CVE-2018-16413:DoSにつながるPushShortPixel関数でのヒープベースのバッファオーバーリードを防止します(bsc#1106989)

CVE-2018-16329:DoSにつながるGetMagickProperty関数でのNULLポインターデリファレンスを防止します(bsc#1106858)。

CVE-2018-16328:DoSにつながるCheckEventLogging関数のNULLポインターデリファレンスを防止します(bsc#1106857)。

CVE-2018-16323:ReadXBMImageは、負のピクセル値を含むXBMファイルを処理する際に、データを初期化しませんでした。影響を受けるコードが、機密情報を含むプロセスにロードされるライブラリとして使用されると、その情報がイメージデータを介して漏洩する可能性があります(bsc#1106855)

CVE-2018-16642:関数InsertRowにより、リモート攻撃者が細工された画像ファイルを介して領域外書き込みによるサービス拒否を引き起こすことができました(bsc#1107616)

CVE-2018-16640:ReadOneJNGImage関数のメモリリークを防ぎます(bsc#1107619)

CVE-2018-16641:TIFFWritePhotoshopLayers関数のメモリリークを防ぎます(bsc#1107618)。

CVE-2018-16643:機能ReadDCMImage、ReadPWPImage、ReadCALSImage、およびReadPICTImageではfputc関数の戻り値がチェックされませんでした。これにより、リモート攻撃者が細工されたイメージファイルを介してサービス拒否を引き起こすことが可能でした(bsc#1107612)

CVE-2018-16644:ReadDCMImageおよびReadPICTImage関数で欠落している長さチェックを追加しました。これにより、リモート攻撃者が細工されたイメージファイルを介してサービス拒否を引き起こすことができました(bsc#1107609)

CVE-2018-16645:関数ReadBMPImageとReadDIBImageでの過剰なメモリ割り当ての問題を防止します。この問題により、リモート攻撃者が細工されたイメージファイルを介してサービス拒否を引き起こすことができました(bsc#1107604)。

注意:Tenable Network Securityは、前述の記述ブロックをSUSEセキュリティアドバイザリから直接抽出しています。Tenableでは、そこに新しい問題を追加することはせずに、できる限り自動的に整理と書式設定をするようにしています。

ソリューション

このSUSEセキュリティ更新プログラムをインストールするには、YaSTのonline_updateや「zypper patch」など、SUSEが推奨するインストール方法を使用してください。

別の方法として、製品にリストされているコマンドを実行することができます:

SUSE Linux Enterprise Module for Development Tools 15:zypper in -t patch SUSE-SLE-Module-Development-Tools-15-2018-2118=1

SUSE Linux Enterprise Module for Desktop Applications 15:zypper in -t patch SUSE-SLE-Module-Desktop-Applications-15-2018-2118=1

関連情報

https://bugzilla.suse.com/show_bug.cgi?id=1106855

https://bugzilla.suse.com/show_bug.cgi?id=1106857

https://bugzilla.suse.com/show_bug.cgi?id=1106858

https://bugzilla.suse.com/show_bug.cgi?id=1106989

https://bugzilla.suse.com/show_bug.cgi?id=1107604

https://bugzilla.suse.com/show_bug.cgi?id=1107609

https://bugzilla.suse.com/show_bug.cgi?id=1107612

https://bugzilla.suse.com/show_bug.cgi?id=1107616

https://bugzilla.suse.com/show_bug.cgi?id=1107618

https://bugzilla.suse.com/show_bug.cgi?id=1107619

https://www.suse.com/security/cve/CVE-2018-16323/

https://www.suse.com/security/cve/CVE-2018-16328/

https://www.suse.com/security/cve/CVE-2018-16329/

https://www.suse.com/security/cve/CVE-2018-16413/

https://www.suse.com/security/cve/CVE-2018-16640/

https://www.suse.com/security/cve/CVE-2018-16641/

https://www.suse.com/security/cve/CVE-2018-16642/

https://www.suse.com/security/cve/CVE-2018-16643/

https://www.suse.com/security/cve/CVE-2018-16644/

https://www.suse.com/security/cve/CVE-2018-16645/

http://www.nessus.org/u?bcf99cdf

プラグインの詳細

深刻度: Critical

ID: 120117

ファイル名: suse_SU-2018-2977-1.nasl

バージョン: 1.4

タイプ: local

エージェント: unix

公開日: 2019/1/2

更新日: 2021/1/13

サポートされているセンサー: Agentless Assessment, Frictionless Assessment Agent, Frictionless Assessment AWS, Frictionless Assessment Azure, Nessus Agent

リスク情報

VPR

リスクファクター: High

スコア: 7.4

CVSS v2

リスクファクター: High

Base Score: 7.5

Temporal Score: 5.9

ベクトル: AV:N/AC:L/Au:N/C:P/I:P/A:P

現状ベクトル: E:POC/RL:OF/RC:C

CVSS v3

リスクファクター: Critical

Base Score: 9.8

Temporal Score: 8.8

ベクトル: CVSS:3.0/AV:N/AC:L/PR:N/UI:N/S:U/C:H/I:H/A:H

現状ベクトル: E:P/RL:O/RC:C

脆弱性情報

CPE: p-cpe:/a:novell:suse_linux:ImageMagick, p-cpe:/a:novell:suse_linux:ImageMagick-debuginfo, p-cpe:/a:novell:suse_linux:ImageMagick-debugsource, p-cpe:/a:novell:suse_linux:ImageMagick-devel, p-cpe:/a:novell:suse_linux:libmagick%2b%2b, p-cpe:/a:novell:suse_linux:libmagick%2b%2b-7_q16hdri4-debuginfo, p-cpe:/a:novell:suse_linux:libmagick%2b%2b-devel, p-cpe:/a:novell:suse_linux:libMagickCore, p-cpe:/a:novell:suse_linux:libMagickCore-7_Q16HDRI6-debuginfo, p-cpe:/a:novell:suse_linux:libMagickWand, p-cpe:/a:novell:suse_linux:libMagickWand-7_Q16HDRI6-debuginfo, p-cpe:/a:novell:suse_linux:perl-PerlMagick, p-cpe:/a:novell:suse_linux:perl-PerlMagick-debuginfo, cpe:/o:novell:suse_linux:15

必要な KB アイテム: Host/local_checks_enabled, Host/cpu, Host/SuSE/release, Host/SuSE/rpm-list

エクスプロイトが利用可能: true

エクスプロイトの容易さ: Exploits are available

パッチ公開日: 2018/10/2

脆弱性公開日: 2018/9/1

参照情報

CVE: CVE-2018-16323, CVE-2018-16328, CVE-2018-16329, CVE-2018-16413, CVE-2018-16640, CVE-2018-16641, CVE-2018-16642, CVE-2018-16643, CVE-2018-16644, CVE-2018-16645